@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700&display=swap');
/* 
------ 01 TYPOGRAPHY SYSTEM

- Font sizes(px):
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
SemiBold: 600
Bold: 700

- Line Heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph: 1.6


--- 02 Colors

- Primary: #e67e22
- Tints:#fdf2e9
- Shades:
- Accents:
- Greys
#555
#333
--- 03 Shadows

--- 04 Border-Radius
Default: 9px
--- 05 Whitespace

- Spacing System(px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

*:focus {
  outline: none;
  /* outline: 4px dotted #e67e22;
  outline-offset: 8px; */

  box-shadow: 0 0 0 0.8rem rgba(230, 125, 34, 0.5);
}

html {
  /* 10px / 16px = 0.625 = 62.5% */
  font-size: 62.5%;
  /* scroll-behavior: smooth; */
  overflow-x: hidden;
}

body {
  font-family: 'Rubik', sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;

  overflow-x: hidden;
}

/* General Components */

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  row-gap: 9.6rem;
  column-gap: 6.4rem;
}

.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}

.grid--center-v {
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  color: #333;
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}

.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #cf711f;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.btn,
.btn:link,
.btn:visited {
  font-size: 2rem;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  text-decoration: none;
  display: inline-block;
  font-weight: 600;
  transition: all 0.03s;
}

.btn--form {
  background-color: #45260a;
  color: #fdf2e9;
  align-self: flex-end;
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

.btn--full:link,
.btn--full:visited {
  background-color: #e67e22;
  color: #fff;
}

.btn--full:hover,
.btn--full:active {
  background-color: #cf711f;
}

.btn--outline:link,
.btn--outline:visited {
  color: #555;
  background-color: #fff;
}

.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf2e9;
  box-shadow: inset 0 0 0 3px #fff;
}

.link:link,
.link:visited {
  text-decoration: none;
  color: #e67e22;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  display: inline-block;
  transition: all 0.03s ease-in-out;
}

.link:hover,
.link:active {
  color: #cf711f;
  border-bottom: 1px solid transparent;
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
}

.list-icon {
  width: 3rem;
  height: 3rem;
  color: #e67e22;
}

.margin-right-sm {
  margin-right: 1.6rem;
}

.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}

.center-text {
  text-align: center;
}

strong {
  font-weight: 500;
}
